<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>homework6_user-age-and-password</title>
</head>

<body>
  <script>
    'use strict';

    function createNewUser() {
      let firstName = getValue('firstName');
      let lastName = getValue('lastName');
      let birthday = getValue('birthday (dd.mm.yyyy)');

      return {
        _firstName: firstName,
        _lastName: lastName,
        birthday: birthday,
        getAge() {
          const nowDate = new Date();
          let correct = 0;
          if (this.birthday.split('.')[1] > nowDate.getMonth() + 1) {
            correct = 1;
          }
          if (this.birthday.split('.')[1] == nowDate.getMonth() + 1) {
            if (this.birthday.split('.')[0] > nowDate.getDate()) {
              correct = 1;
            }
          }
          return nowDate.getFullYear() - this.birthday.split('.')[2] - correct;
        },
        getPassword() { return this._firstName.toUpperCase()[0] + this._lastName.toLowerCase() + this.birthday.split('.')[2] },

        set setFirstName(value) { this._firstName = value; },
        set setLastName(value) { this._lastName = value; },
        get getFirstName() { return this._firstName; },
        get getLastName() { return this._lastName; },
      };
    }

    function getValue(text) {
      return prompt(`Enter your ${text}`).trim();
    }

    const newUser = createNewUser();

    newUser.getLogin = function () { return this.getFirstName[0].toLowerCase() + this.getLastName.toLowerCase(); }

    console.log(newUser);
    console.log('login:', newUser.getLogin());
    console.log('pass:', newUser.getPassword());
    console.log('age:', newUser.getAge());

  </script>
</body>

</html>